## ros-melodic-gcs-interface 0.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gcs_interface)

find_package(catkin REQUIRED COMPONENTS
    rospy
    geographic_msgs
    geometry_msgs
    mavros_msgs
    std_msgs
)

#catkin_package(
#    INCLUDE_DIRS
#        include
#    LIBRARIES
#        ${PROJECT_NAME}_lib
#    CATKIN_DEPENDS
#        rospy
#)

catkin_python_setup()

#include_directories(
#    include
#    ${catkin_INCLUDE_DIRS}
#)

#add_executable(
#    ${PROJECT_NAME}_node
#    src/${PROJECT_NAME}_node.cpp
#    src/Mavros_commands.cpp
#    include/${PROJECT_NAME}/Mavros_commands.hpp
#)

#target_link_libraries(
#    ${PROJECT_NAME}_node
#    ${catkin_LIBRARIES}
#)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES simontest
  CATKIN_DEPENDS rospy geographic_msgs geometry_msgs mavros_msgs std_msgs
#  DEPENDS system_lib
)

include_directories(
    config
    ${catkin_INCLUDE_DIRS}
)

#catkin_install_python(PROGRAMS
#    modules/interface.py
#    modules/heifu_interface.py
#    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
#)

=== requirements.txt ===
python-socketio[client]~=4.4.0
python-engineio~=3.11.2
shapely~=1.7.1
lxml~=4.6.3

=== debian/changelog ===
ros-melodic-gcs-interface (0.8.1-1bionic) bionic; urgency=high



 -- Fábio Azevedo <fabio.azevedo@beyond-vision.pt>  Tue, 06 Jul 2021 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-gcs-interface
Section: misc
Priority: optional
Maintainer: Fábio Azevedo <fabio.azevedo@beyond-vision.pt>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geographic-msgs, ros-melodic-geometry-msgs, ros-melodic-mavros-msgs, ros-melodic-rospy, ros-melodic-std-msgs
Homepage: https://gitlab.pdmfc.com/drones/ros1/interface/gcs-interface
Standards-Version: 3.9.2

Package: ros-melodic-gcs-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geographic-msgs, ros-melodic-geometry-msgs, ros-melodic-mavros-msgs, ros-melodic-rospy, ros-melodic-std-msgs
Description: Ground Control Station Interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-gcs-interface//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
